// Call ngui function to create a ui config.
import useComponent from '/service/rest/v1/files/data/public/js/useComponent.js'
const components = useComponent()
const DMSModule = window.nguiAsyncImport('public/ui/main/modules/DMS/index.js')

window.ngui(() => {
  return {
    mixins: [
    ],
    // Listen on mounted event...
    beforeCreate() {
      components.setParent(this)
    },

    watch: {
    },

    // The returned object can be accessed with this within any method...
    // Do not use this.ctx within this function because it is not yet created.
    data() {
      return {
      }
    },

    // Define methods for the ui...
    methods: {
    
    },

    // Define elements within the ui configuration...
    nodes() {
      return [
        // any ui component node can be used...
        components.element(DMSModule).attrs({
          processName: 'EDLBoxMC_IO_API',
        }),
      ]
    },
  }
})